#ifndef GWt_elementFit_SEEN
#define GWt_elementFit_SEEN

#include "GWt_abstractElement.h"

class GWt_elementFit : public GWt_abstractElement
{
    
  WComboBox* nameEdit_; // deg.
  WLineEdit* valueEdit_; // m
  WLineEdit* tolerEdit_; // cm
   
 public :
    
  GWt_elementFit() {;}
  GWt_elementFit(GWt_elementLigneFaisceau* );
  ~GWt_elementFit() {;}
  
  virtual void dialogDone(WDialog::DialogCode code);
    
  inline string getMimeType() {return "htdocs/fit.jpg"; }
  inline string getSmallImageURL() {return "htdocs/fit.jpg"; }
  inline string getBigImageURL() {return "htdocs/fit.jpg"; }
  inline string getName() {return "fit"; }
  
 private :
  
  void initilializeDialog();
};
#endif
