#ifndef GWt_elementMpole_SEEN
#define GWt_elementMpole_SEEN


#include "GWt_abstractElement.h"
#include "abstractElement.h"

#include <iostream>
#include <string>
#include <sstream>

using namespace Wt;
using namespace std;

class GWt_elementMpole : public GWt_abstractElement
{
  WLineEdit* orderEdit_;
  WLineEdit* componentEdit_;

 public :
  
  GWt_elementMpole()  {;}
  GWt_elementMpole(GWt_elementLigneFaisceau*);
  ~GWt_elementMpole() {;}
  
  virtual void dialogDone(WDialog::DialogCode code);
  WImage* getImage();
    
  inline string getMimeType() {return "htdocs/mpole.jpg";}
  inline string getSmallImageURL() {return "htdocs/mpole.jpg";}
  inline string getBigImageURL() {return "htdocs/mpole.jpg";}
  inline string getName() {return "mpole";}
  
 private :

  void initilializeDialog();
};
#endif
