#ifndef GWt_elementSnapshot_SEEN
#define GWt_elementSnapshot_SEEN

#include "GWt_abstractElement.h"
#include "abstractElement.h"

#include <iostream>
#include <string>
#include <sstream>

using namespace Wt;
using namespace std;

class GWt_elementSnapshot : public GWt_abstractElement
{
  WLineEdit* snapshotFile_;
   
 public:
    
  GWt_elementSnapshot() {;}
  GWt_elementSnapshot(GWt_elementLigneFaisceau*,int);
  ~GWt_elementSnapshot() {;}
  
  virtual void dialogDone(WDialog::DialogCode code);
    
  inline string getMimeType() {return "htdocs/snapshot.jpg"; }
  inline string getSmallImageURL() {return "htdocs/snapshot.jpg"; }
  inline string getBigImageURL() {return "htdocs/snapshot.jpg"; }
  inline string getName() {return "snapshot"; }
  
 private :

  void initilializeDialog();
};
#endif
